Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001386TestLinkUsers and Rightspublic2008-02-12 21:452008-11-07 19:47
Reportermasami 
Assigned Tofman 
PriorityurgentSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.8 Beta 1 
Summary0001386: Can't change admin's password
DescriptionHello.
I changed admin's password from Account Settings feature.
It looked success because I could see this message. "Your password was changed succesfully"
so I logout from TestLink then I entered login name and new password to login TestLink.
But I couldn't login to TestLink with new password which I had set.
I tried to old password(it's default password) to login to TestLink, it worked.
I've tested sometimes. but I couldn't change password.

#I haven't tested user's password yet.

Cheers,

Additional InformationI have clean installed TestLink from cvs snapshot.
It's SNAPSHOT-HEAD-2008-02-12.tar.bz2
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browsericeweasel
PHP Version5.2.5
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0003249)
tuergeist
2008-02-12 22:10

(Note: CVS/nightly version is not for productive use)

Yes. password change is buggy in CVS HEAD.

It also brings notices:

Notice: Undefined variable: args in /x-files/cbecker/workspaces/php/testlink-beta/lib/usermanagement/userInfo.php on line 140

Notice: Trying to get property of non-object in /x-files/cbecker/workspaces/php/testlink-beta/lib/usermanagement/userInfo.php on line 140
(0003250)
masami (reporter)
2008-02-12 22:29

Hi tuergeist.
Thanks to quick response.

>(Note: CVS/nightly version is not for productive use)
Yes, it is.
although, I'm currently working on TTF task.
#I'm updating test cases and doing it.
so, I want to test latest code.

Cheers,
(0003255)
fman (administrator)
2008-02-12 23:38

what means: wrong object used?
(0003256)
tuergeist
2008-02-13 00:32

setPassword($args->->newpassword);

was called instead of:
 setPassword($argsObj->newpassword);

But:
  $args does not exists in this content.
  to avoid such errors:
   error_reporting(E_ALL);
(0003260)
fman (administrator)
2008-02-13 01:42

Typo error corrected and summited to CVS
(0003266)
fman (administrator)
2008-02-14 00:31

@masami:
would you mind to retest?
(0003267)
masami (reporter)
2008-02-14 07:07

Hi fman.

I've tested these cases.
1.You haven't set an e-mail and do change password.
you will see this message.
   You can't use an empty e-mail address!

2.You haven't set an e-mail and enter email address to form which is in Personal data table.
# just enter an e-mail address. not submit.
Then you change password. you will see this message.
   You can't use an empty e-mail address!

3.You already have set an e-mail and do change password.
It's success! you won't have seen any errors.

# I've installed CVS HEAD.(I've got it about 2008/02/14 07 AM JST)
(0003268)
fman (administrator)
2008-02-14 15:49

hi masami:
Thanks a lot.
May I check this as resolved?
(0003269)
masami (reporter)
2008-02-14 16:43

Hi fman.
Of course you can:-)
thanks for taking care about this bug.

- Issue History
Date Modified Username Field Change
2008-02-12 21:45 masami New Issue
2008-02-12 21:45 masami Browser => iceweasel
2008-02-12 21:45 masami PHP Version => 5.2.5
2008-02-12 22:10 tuergeist Note Added: 0003249
2008-02-12 22:10 tuergeist Assigned To => tuergeist
2008-02-12 22:10 tuergeist Status new => confirmed
2008-02-12 22:29 masami Note Added: 0003250
2008-02-12 23:04 tuergeist Assigned To tuergeist =>
2008-02-12 23:04 tuergeist Priority normal => urgent
2008-02-12 23:33 fman Status confirmed => assigned
2008-02-12 23:33 fman Assigned To => fman
2008-02-12 23:38 fman Note Added: 0003255
2008-02-13 00:32 tuergeist Note Added: 0003256
2008-02-13 01:42 fman Note Added: 0003260
2008-02-14 00:31 fman Note Added: 0003266
2008-02-14 07:07 masami Note Added: 0003267
2008-02-14 15:49 fman Note Added: 0003268
2008-02-14 16:43 masami Note Added: 0003269
2008-02-14 23:33 fman Status assigned => resolved
2008-02-14 23:33 fman Fixed in Version => next development version (1.8 Beta1)
2008-02-14 23:33 fman Resolution open => fixed
2008-06-03 16:48 mhavlat Fixed in Version next development version (1.8 Beta1) => 1.8 Beta 1
2008-11-07 19:47 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker